"""
Type annotations for odb service literal definitions.

[Documentation](https://youtype.github.io/boto3_stubs_docs/mypy_boto3_odb/literals/)

Copyright 2025 Vlad Emelianov

Usage::

    ```python
    from mypy_boto3_odb.literals import AccessType

    data: AccessType = "DISABLED"
    ```
"""

import sys

if sys.version_info >= (3, 12):
    from typing import Literal
else:
    from typing_extensions import Literal

__all__ = (
    "AccessType",
    "ComputeModelType",
    "DayOfWeekNameType",
    "DbNodeMaintenanceTypeType",
    "DbNodeResourceStatusType",
    "DbServerPatchingStatusType",
    "DiskRedundancyType",
    "IormLifecycleStateType",
    "LicenseModelType",
    "ListAutonomousVirtualMachinesPaginatorName",
    "ListCloudAutonomousVmClustersPaginatorName",
    "ListCloudExadataInfrastructuresPaginatorName",
    "ListCloudVmClustersPaginatorName",
    "ListDbNodesPaginatorName",
    "ListDbServersPaginatorName",
    "ListDbSystemShapesPaginatorName",
    "ListGiVersionsPaginatorName",
    "ListOdbNetworksPaginatorName",
    "ListOdbPeeringConnectionsPaginatorName",
    "ListSystemVersionsPaginatorName",
    "ManagedResourceStatusType",
    "MonthNameType",
    "ObjectiveType",
    "OciOnboardingStatusType",
    "OdbServiceName",
    "PaginatorName",
    "PatchingModeTypeType",
    "PreferenceTypeType",
    "ResourceServiceName",
    "ResourceStatusType",
    "ServiceName",
    "ShapeTypeType",
    "VpcEndpointTypeType",
)

AccessType = Literal["DISABLED", "ENABLED"]
ComputeModelType = Literal["ECPU", "OCPU"]
DayOfWeekNameType = Literal[
    "FRIDAY", "MONDAY", "SATURDAY", "SUNDAY", "THURSDAY", "TUESDAY", "WEDNESDAY"
]
DbNodeMaintenanceTypeType = Literal["VMDB_REBOOT_MIGRATION"]
DbNodeResourceStatusType = Literal[
    "AVAILABLE",
    "FAILED",
    "PROVISIONING",
    "STARTING",
    "STOPPED",
    "STOPPING",
    "TERMINATED",
    "TERMINATING",
    "UPDATING",
]
DbServerPatchingStatusType = Literal["COMPLETE", "FAILED", "MAINTENANCE_IN_PROGRESS", "SCHEDULED"]
DiskRedundancyType = Literal["HIGH", "NORMAL"]
IormLifecycleStateType = Literal["BOOTSTRAPPING", "DISABLED", "ENABLED", "FAILED", "UPDATING"]
LicenseModelType = Literal["BRING_YOUR_OWN_LICENSE", "LICENSE_INCLUDED"]
ListAutonomousVirtualMachinesPaginatorName = Literal["list_autonomous_virtual_machines"]
ListCloudAutonomousVmClustersPaginatorName = Literal["list_cloud_autonomous_vm_clusters"]
ListCloudExadataInfrastructuresPaginatorName = Literal["list_cloud_exadata_infrastructures"]
ListCloudVmClustersPaginatorName = Literal["list_cloud_vm_clusters"]
ListDbNodesPaginatorName = Literal["list_db_nodes"]
ListDbServersPaginatorName = Literal["list_db_servers"]
ListDbSystemShapesPaginatorName = Literal["list_db_system_shapes"]
ListGiVersionsPaginatorName = Literal["list_gi_versions"]
ListOdbNetworksPaginatorName = Literal["list_odb_networks"]
ListOdbPeeringConnectionsPaginatorName = Literal["list_odb_peering_connections"]
ListSystemVersionsPaginatorName = Literal["list_system_versions"]
ManagedResourceStatusType = Literal["DISABLED", "DISABLING", "ENABLED", "ENABLING"]
MonthNameType = Literal[
    "APRIL",
    "AUGUST",
    "DECEMBER",
    "FEBRUARY",
    "JANUARY",
    "JULY",
    "JUNE",
    "MARCH",
    "MAY",
    "NOVEMBER",
    "OCTOBER",
    "SEPTEMBER",
]
ObjectiveType = Literal["AUTO", "BALANCED", "BASIC", "HIGH_THROUGHPUT", "LOW_LATENCY"]
OciOnboardingStatusType = Literal[
    "ACTIVATING",
    "ACTIVE",
    "ACTIVE_IN_HOME_REGION",
    "ACTIVE_LIMITED",
    "CANCELED",
    "FAILED",
    "NOT_STARTED",
    "PENDING_CUSTOMER_ACTION",
    "PENDING_INITIALIZATION",
    "PENDING_LINK_GENERATION",
    "PUBLIC_OFFER_UNSUPPORTED",
    "SUSPENDED",
]
PatchingModeTypeType = Literal["NONROLLING", "ROLLING"]
PreferenceTypeType = Literal["CUSTOM_PREFERENCE", "NO_PREFERENCE"]
ResourceStatusType = Literal[
    "AVAILABLE",
    "FAILED",
    "MAINTENANCE_IN_PROGRESS",
    "PROVISIONING",
    "TERMINATED",
    "TERMINATING",
    "UPDATING",
]
ShapeTypeType = Literal["AMD", "AMPERE_FLEX_A1", "INTEL", "INTEL_FLEX_X9"]
VpcEndpointTypeType = Literal["SERVICENETWORK"]
OdbServiceName = Literal["odb"]
ServiceName = Literal[
    "accessanalyzer",
    "account",
    "acm",
    "acm-pca",
    "aiops",
    "amp",
    "amplify",
    "amplifybackend",
    "amplifyuibuilder",
    "apigateway",
    "apigatewaymanagementapi",
    "apigatewayv2",
    "appconfig",
    "appconfigdata",
    "appfabric",
    "appflow",
    "appintegrations",
    "application-autoscaling",
    "application-insights",
    "application-signals",
    "applicationcostprofiler",
    "appmesh",
    "apprunner",
    "appstream",
    "appsync",
    "apptest",
    "arc-zonal-shift",
    "artifact",
    "athena",
    "auditmanager",
    "autoscaling",
    "autoscaling-plans",
    "b2bi",
    "backup",
    "backup-gateway",
    "backupsearch",
    "batch",
    "bcm-data-exports",
    "bcm-pricing-calculator",
    "bedrock",
    "bedrock-agent",
    "bedrock-agent-runtime",
    "bedrock-data-automation",
    "bedrock-data-automation-runtime",
    "bedrock-runtime",
    "billing",
    "billingconductor",
    "braket",
    "budgets",
    "ce",
    "chatbot",
    "chime",
    "chime-sdk-identity",
    "chime-sdk-media-pipelines",
    "chime-sdk-meetings",
    "chime-sdk-messaging",
    "chime-sdk-voice",
    "cleanrooms",
    "cleanroomsml",
    "cloud9",
    "cloudcontrol",
    "clouddirectory",
    "cloudformation",
    "cloudfront",
    "cloudfront-keyvaluestore",
    "cloudhsm",
    "cloudhsmv2",
    "cloudsearch",
    "cloudsearchdomain",
    "cloudtrail",
    "cloudtrail-data",
    "cloudwatch",
    "codeartifact",
    "codebuild",
    "codecatalyst",
    "codecommit",
    "codeconnections",
    "codedeploy",
    "codeguru-reviewer",
    "codeguru-security",
    "codeguruprofiler",
    "codepipeline",
    "codestar-connections",
    "codestar-notifications",
    "cognito-identity",
    "cognito-idp",
    "cognito-sync",
    "comprehend",
    "comprehendmedical",
    "compute-optimizer",
    "config",
    "connect",
    "connect-contact-lens",
    "connectcampaigns",
    "connectcampaignsv2",
    "connectcases",
    "connectparticipant",
    "controlcatalog",
    "controltower",
    "cost-optimization-hub",
    "cur",
    "customer-profiles",
    "databrew",
    "dataexchange",
    "datapipeline",
    "datasync",
    "datazone",
    "dax",
    "deadline",
    "detective",
    "devicefarm",
    "devops-guru",
    "directconnect",
    "discovery",
    "dlm",
    "dms",
    "docdb",
    "docdb-elastic",
    "drs",
    "ds",
    "ds-data",
    "dsql",
    "dynamodb",
    "dynamodbstreams",
    "ebs",
    "ec2",
    "ec2-instance-connect",
    "ecr",
    "ecr-public",
    "ecs",
    "efs",
    "eks",
    "eks-auth",
    "elasticache",
    "elasticbeanstalk",
    "elastictranscoder",
    "elb",
    "elbv2",
    "emr",
    "emr-containers",
    "emr-serverless",
    "entityresolution",
    "es",
    "events",
    "evidently",
    "evs",
    "finspace",
    "finspace-data",
    "firehose",
    "fis",
    "fms",
    "forecast",
    "forecastquery",
    "frauddetector",
    "freetier",
    "fsx",
    "gamelift",
    "gameliftstreams",
    "geo-maps",
    "geo-places",
    "geo-routes",
    "glacier",
    "globalaccelerator",
    "glue",
    "grafana",
    "greengrass",
    "greengrassv2",
    "groundstation",
    "guardduty",
    "health",
    "healthlake",
    "iam",
    "identitystore",
    "imagebuilder",
    "importexport",
    "inspector",
    "inspector-scan",
    "inspector2",
    "internetmonitor",
    "invoicing",
    "iot",
    "iot-data",
    "iot-jobs-data",
    "iot-managed-integrations",
    "iotanalytics",
    "iotdeviceadvisor",
    "iotevents",
    "iotevents-data",
    "iotfleethub",
    "iotfleetwise",
    "iotsecuretunneling",
    "iotsitewise",
    "iotthingsgraph",
    "iottwinmaker",
    "iotwireless",
    "ivs",
    "ivs-realtime",
    "ivschat",
    "kafka",
    "kafkaconnect",
    "kendra",
    "kendra-ranking",
    "keyspaces",
    "keyspacesstreams",
    "kinesis",
    "kinesis-video-archived-media",
    "kinesis-video-media",
    "kinesis-video-signaling",
    "kinesis-video-webrtc-storage",
    "kinesisanalytics",
    "kinesisanalyticsv2",
    "kinesisvideo",
    "kms",
    "lakeformation",
    "lambda",
    "launch-wizard",
    "lex-models",
    "lex-runtime",
    "lexv2-models",
    "lexv2-runtime",
    "license-manager",
    "license-manager-linux-subscriptions",
    "license-manager-user-subscriptions",
    "lightsail",
    "location",
    "logs",
    "lookoutequipment",
    "lookoutmetrics",
    "lookoutvision",
    "m2",
    "machinelearning",
    "macie2",
    "mailmanager",
    "managedblockchain",
    "managedblockchain-query",
    "marketplace-agreement",
    "marketplace-catalog",
    "marketplace-deployment",
    "marketplace-entitlement",
    "marketplace-reporting",
    "marketplacecommerceanalytics",
    "mediaconnect",
    "mediaconvert",
    "medialive",
    "mediapackage",
    "mediapackage-vod",
    "mediapackagev2",
    "mediastore",
    "mediastore-data",
    "mediatailor",
    "medical-imaging",
    "memorydb",
    "meteringmarketplace",
    "mgh",
    "mgn",
    "migration-hub-refactor-spaces",
    "migrationhub-config",
    "migrationhuborchestrator",
    "migrationhubstrategy",
    "mpa",
    "mq",
    "mturk",
    "mwaa",
    "neptune",
    "neptune-graph",
    "neptunedata",
    "network-firewall",
    "networkflowmonitor",
    "networkmanager",
    "networkmonitor",
    "notifications",
    "notificationscontacts",
    "oam",
    "observabilityadmin",
    "odb",
    "omics",
    "opensearch",
    "opensearchserverless",
    "opsworks",
    "opsworkscm",
    "organizations",
    "osis",
    "outposts",
    "panorama",
    "partnercentral-selling",
    "payment-cryptography",
    "payment-cryptography-data",
    "pca-connector-ad",
    "pca-connector-scep",
    "pcs",
    "personalize",
    "personalize-events",
    "personalize-runtime",
    "pi",
    "pinpoint",
    "pinpoint-email",
    "pinpoint-sms-voice",
    "pinpoint-sms-voice-v2",
    "pipes",
    "polly",
    "pricing",
    "proton",
    "qapps",
    "qbusiness",
    "qconnect",
    "qldb",
    "qldb-session",
    "quicksight",
    "ram",
    "rbin",
    "rds",
    "rds-data",
    "redshift",
    "redshift-data",
    "redshift-serverless",
    "rekognition",
    "repostspace",
    "resiliencehub",
    "resource-explorer-2",
    "resource-groups",
    "resourcegroupstaggingapi",
    "robomaker",
    "rolesanywhere",
    "route53",
    "route53-recovery-cluster",
    "route53-recovery-control-config",
    "route53-recovery-readiness",
    "route53domains",
    "route53profiles",
    "route53resolver",
    "rum",
    "s3",
    "s3control",
    "s3outposts",
    "s3tables",
    "sagemaker",
    "sagemaker-a2i-runtime",
    "sagemaker-edge",
    "sagemaker-featurestore-runtime",
    "sagemaker-geospatial",
    "sagemaker-metrics",
    "sagemaker-runtime",
    "savingsplans",
    "scheduler",
    "schemas",
    "sdb",
    "secretsmanager",
    "security-ir",
    "securityhub",
    "securitylake",
    "serverlessrepo",
    "service-quotas",
    "servicecatalog",
    "servicecatalog-appregistry",
    "servicediscovery",
    "ses",
    "sesv2",
    "shield",
    "signer",
    "simspaceweaver",
    "sms",
    "snow-device-management",
    "snowball",
    "sns",
    "socialmessaging",
    "sqs",
    "ssm",
    "ssm-contacts",
    "ssm-guiconnect",
    "ssm-incidents",
    "ssm-quicksetup",
    "ssm-sap",
    "sso",
    "sso-admin",
    "sso-oidc",
    "stepfunctions",
    "storagegateway",
    "sts",
    "supplychain",
    "support",
    "support-app",
    "swf",
    "synthetics",
    "taxsettings",
    "textract",
    "timestream-influxdb",
    "timestream-query",
    "timestream-write",
    "tnb",
    "transcribe",
    "transfer",
    "translate",
    "trustedadvisor",
    "verifiedpermissions",
    "voice-id",
    "vpc-lattice",
    "waf",
    "waf-regional",
    "wafv2",
    "wellarchitected",
    "wisdom",
    "workdocs",
    "workmail",
    "workmailmessageflow",
    "workspaces",
    "workspaces-instances",
    "workspaces-thin-client",
    "workspaces-web",
    "xray",
]
ResourceServiceName = Literal[
    "cloudformation",
    "cloudwatch",
    "dynamodb",
    "ec2",
    "glacier",
    "iam",
    "opsworks",
    "s3",
    "sns",
    "sqs",
]
PaginatorName = Literal[
    "list_autonomous_virtual_machines",
    "list_cloud_autonomous_vm_clusters",
    "list_cloud_exadata_infrastructures",
    "list_cloud_vm_clusters",
    "list_db_nodes",
    "list_db_servers",
    "list_db_system_shapes",
    "list_gi_versions",
    "list_odb_networks",
    "list_odb_peering_connections",
    "list_system_versions",
]
